MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004984ardourbugspublic2012-07-03 02:072016-02-03 16:54
ReporterBenSpector 
Assigned Totimbyr 
PrioritynormalSeverityblockReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version3.0Fixed in Version4.7 
Summary0004984: Duplicate range selection will not work when selection begins in an empty area.
DescriptionOn OSX Lion
See attached movie.
TagsNo tags attached.
Attached Filesmov file icon Screen Recording 29.mov [^] (960,070 bytes) 2012-07-03 02:07

- Relationships
related to 0004986resolvedtimbyr Duplicate range doesn't refers to multiple or trimmed regions. 

-  Notes
(0013777)
cth103 (administrator)
2012-07-04 14:29

This is because Editor::create_region_from_selection can only cope with creating a new region from part of a single other one within the range; it doesn't write a new source.
(0017194)
timbyr (developer)
2015-09-14 06:20

This is still an issue in 4.2 and master@e63c3d02
(0017849)
timbyr (developer)
2016-01-27 19:55

This issue should now be resolved in Ardour master branch as of commit 45e8bda65f or a nightly build >= 4.6.137

Confirmation from the reporter is appreciated but as the bug is several years old if there is no response after a week or so I will mark as resolved.

- Issue History
Date Modified Username Field Change
2012-07-03 02:07 BenSpector New Issue
2012-07-03 02:07 BenSpector File Added: Screen Recording 29.mov
2012-07-04 09:16 cth103 cost => 0.00
2012-07-04 09:16 cth103 Target Version => 3.0
2012-07-04 13:02 cth103 Severity major => block
2012-07-04 13:02 cth103 Status new => confirmed
2012-07-04 14:29 cth103 Note Added: 0013777
2012-07-04 14:55 cth103 Relationship added related to 0004986
2015-09-14 06:20 timbyr Note Added: 0017194
2016-01-27 19:55 timbyr Note Added: 0017849
2016-01-27 19:55 timbyr Assigned To => timbyr
2016-01-27 19:55 timbyr Status confirmed => feedback
2016-02-03 16:54 timbyr Status feedback => resolved
2016-02-03 16:54 timbyr Fixed in Version => 4.7
2016-02-03 16:54 timbyr Resolution open => fixed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker